Skip to content
Start here

Get delivery mechanism eligibility

GET/accounts/{account_id}/alerting/v3/destinations/eligible

Get a list of all delivery mechanism types for which an account is eligible.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

The account id

maxLength32
ReturnsExpand Collapse
errors: array of object { message, code }
message: string
code: optional number
minimum1000
messages: array of object { message, code }
message: string
code: optional number
minimum1000
success: true

Whether the API call was successful

result: optional map[array of object { eligible, ready, type } ]
eligible: optional boolean

Determines whether or not the account is eligible for the delivery mechanism.

ready: optional boolean

Beta flag. Users can create a policy with a mechanism that is not ready, but we cannot guarantee successful delivery of notifications.

type: optional "email" or "pagerduty" or "webhook"

Determines type of delivery mechanism.

One of the following:
"email"
"pagerduty"
"webhook"

Get delivery mechanism eligibility

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/alerting/v3/destinations/eligible \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "foo": [
      {
        "eligible": true,
        "ready": true,
        "type": "email"
      }
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "foo": [
      {
        "eligible": true,
        "ready": true,
        "type": "email"
      }
    ]
  }
}